Summary:  A tool for generating SELinux security policies for containers
Name:     udica
Version:  0.2.7
Release:  5%{?dist}
License:  GPLv3+
Url:      https://github.com/containers/udica
Source0:  %{url}/archive/v%{version}.tar.gz

Patch3000: 0001-Add-device-access-option.patch
Patch3001: 0002-Syntax-changes-after-running-black.patch
Patch3002: 0003-Add-unit-test-for-device-access.patch
Patch3003: 0004-Rename-device-access-to-devices.patch

BuildRequires: python3 python3-devel python3-setuptools
Requires: python3 python3-libsemanage python3-libselinux container-selinux
BuildArch: noarch

%description
Tool for generating SELinux security profiles for containers based on inspection of container JSON file.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --single-version-externally-managed --root=%{buildroot}

install -Dm 0644 udica/man/man8/udica.8 %{buildroot}%{_mandir}/man8/udica.8

%files
%license LICENSE
%{_bindir}/udica
%dir %{_datadir}/udica
%dir %{_datadir}/udica/ansible
%{_datadir}/udica/ansible/*
%{python3_sitelib}/udica/
%{python3_sitelib}/udica-*.egg-info
%{_mandir}/man8/udica.8*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.7-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.7-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.7-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 28 2023 Shuo Wang <abushwang@tencent.com> - 0.2.7-1
- initial build
